<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>AngularJS DI</title>
      
      <!-- AngularJs Files -->
      <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
      <script type="text/javascript" src="resource/js/calculator.js"></script>	
      
      <!-- Bootstrap File -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css">          
   </head>
   <body>
      <div id="angularInjection" class="container">
         <h1 align="center" class="text-primary">AngularJS - Dependency Injection Example</h1>
         <hr />

         <!------ ANGULAR JAVASCRIPT 'DEPENDENCY INJECTION' EXAMPLE ------>
         <div ng-app="myApp" ng-controller="CalCtrl">
         	<div class="form-group">
         		<label for="number" class="text-secondary">Enter a number</label>       
            	<input id="number" name="number" class="form-control" type="number" ng-model="number" placeholder="Enter a number" />
            </div>

            <!------ SUBMIT BUTTON ------>
            <div id="getSqrBtn">
               <button id="sqrBtn" type="button" class="btn btn-primary" ng-click="square()">X<sup>2</sup></button>
            </div>

            <div>&nbsp;</div>
            <div id="output">
            	<p id="pText" class="text-info">Result: <strong>{{ result }}</strong></p>
            </div>            
         </div> 
      </div>                                                                                                
   </body>
</html>